import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/constants/assets.dart';

class SidebarAddCommunityButton extends StatelessWidget {
  const SidebarAddCommunityButton({super.key});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () => _navigateToBlank(context),
      child: Container(
        width: 30,
        height: 30,
        decoration: const BoxDecoration(
          color: ColorsManager.whiteColors,
          shape: BoxShape.circle,
        ),
        child: Center(
          child: SvgPicture.asset(
            Assets.roundedAddIcon,
            width: 24,
            height: 24,
          ),
        ),
      ),
    );
  }

  void _navigateToBlank(BuildContext context) {}
}
